Community Packages

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#28705 - fop class version mismatch error with java-batik

Attached to Project: Community Packages
Opened by Andreas Baumann (andreas_baumann) - Tuesday, 28 February 2012, 19:25 GMT
Last edited by Lukas Fleischer (lfleischer) - Thursday, 08 March 2012, 15:25 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To Lukas Fleischer (lfleischer)
Architecture i686
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:

SEVERE: Error while initializing the Batik SVG extensions
java.lang.UnsupportedClassVersionError: org/apache/batik/util/XMLResourceDescriptor : Unsupported major.minor version 51.0

Additional info:
* package version(s):
- fop-1.0-5
- java-batik-1.7-9
- openjdk6 6.b24_1.11.1-1

Steps to reproduce:

Calling 'fop -fo something.fop -pdf somethink.pdf'

This task depends upon

Closed by  Lukas Fleischer (lfleischer)
Thursday, 08 March 2012, 15:25 GMT
Reason for closing:  Fixed
Additional comments about closing:  Fixed in 1.7-10.
Comment by Andreas Baumann (andreas_baumann) - Tuesday, 28 February 2012, 19:29 GMT
Compiling java-batik solves the problem, maybe the bug should be there and the java-batik package should be rebuild..
Comment by Lukas Fleischer (lfleischer) - Wednesday, 29 February 2012, 14:41 GMT
I can reproduce this - recompiling java-batik doesn't work for me, though. Did you compile in a clean chroot?
Comment by CoLab Coop (eethann) - Friday, 02 March 2012, 14:37 GMT
Also confirmed, and `pacman -S java-batik` does not fix for me, either. Complete dump of error attached.
Comment by Andreas Baumann (andreas_baumann) - Friday, 02 March 2012, 14:49 GMT
I did:

yaourt -G java-batik
cd java-batik
makepkg --asroot -if

Unclear to me, why I managed to fix it that way..
Comment by Lukas Fleischer (lfleischer) - Thursday, 08 March 2012, 11:47 GMT
Andreas: Could you try to rebuild it again using the very same procedure and attach the build log?
Comment by Andreas Baumann (andreas_baumann) - Thursday, 08 March 2012, 12:19 GMT
Hope it helps. :-)
   build.log (18.2 KiB)
Comment by Lukas Fleischer (lfleischer) - Thursday, 08 March 2012, 13:53 GMT
Ok, it seems like Batik isn't Java 7-compliant and we need to use openjdk6 here (at least until this is fixed upstream).

Should be fixed in 1.7-10.
Comment by CoLab Coop (eethann) - Thursday, 08 March 2012, 14:35 GMT
Confirmed that upgrading java-batik to 1.7.10 appears to fix the issue. My git-scribe ebook now includes a great pdf!

Loading...